Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225851 - Merge Review: gob2
Summary: Merge Review: gob2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:56 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-03 12:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-03 12:01:51 UTC
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:56:58 UTC
Fedora Merge Review: gob2

http://cvs.fedora.redhat.com/viewcvs/devel/gob2/
Initial Owner: harald@redhat.com

Comment 1 Miroslav Lichvar 2009-12-02 17:21:56 UTC
Review follows:

OK source files match upstream:
cced6d709df6fad3baf8831f027d62d5  gob2-2.0.16.tar.gz
BAD source contains full URL
- source should point to http://ftp.5z.com/pub/gob/gob2-2.0.16.tar.gz
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
- %makeinstall can be replaced with more correct
   make install DESTDIR=$RPM_BUILD>_ROOT
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license (GPLv2+).
OK license is open source-compatible. License text included in package.
OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock.
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires look sane.
N/A %check is present and all tests pass.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
OK not a GUI app.

Comment 2 Daniel Novotny 2009-12-03 11:53:21 UTC
so the only problem is the "Source:" URL.
fixed in rawhide and F-12
-built F12 release candidate gob2-2.0.16-5.fc12, rawhide gob2-2.0.16-4.fc13

Comment 3 Miroslav Lichvar 2009-12-03 12:01:51 UTC
Approved.


Note You need to log in before you can comment on or make changes to this bug.